Get a Billing Account by ID

get

/billingAccount/{id}

The operation retrieves a Billing Account entity. The attribute selection is enabled for all first level attributes.

Request

Path Parameters
Query Parameters

There's no request body for this operation.

Back to Top

Response

200 Response

The request completed successfully.
Body ()
Root Schema : schema
Match One Schema
Show Source
Nested Schema : BillingAccount
Match All
Represents a party account used for billing purposes. It includes a bill structure that defines frequency presentation media format. It specializes PartyAccount.
Show Source
Nested Schema : BillingAccountOracle
Match All
Represents a party account used for billing purposes. It includes a bill structure that defines frequency presentation media format. It specializes PartyAccount.
Show Source
Nested Schema : PartyAccount
Match All
Represents an account used for billing or settlement purposes for a party. Specializes Account.
Show Source
Nested Schema : Account
Match All
Defines a generic account structure shared by PartyAccount, FinancialAccount, and other account types supported by the API.
Show Source
  • Entity
    Represents a base entity schema for TM Forum Open APIs.
  • Account-allOf[1]
    Defines a generic account structure shared by PartyAccount, FinancialAccount, and other account types supported by the API.
Nested Schema : Entity
Type: object
Represents a base entity schema for TM Forum Open APIs.
Match All
Represents a base entity schema for TM Forum Open APIs.
Represents a base entity schema for TM Forum Open APIs.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Addressable
Type: object
Defines a base schema for addressable entities.
Show Source
Nested Schema : Account-allOf[1]
Type: object
Defines a generic account structure shared by PartyAccount, FinancialAccount, and other account types supported by the API.
Show Source
Nested Schema : PartyAccount-allOf[1]
Type: object
Represents an account used for billing or settlement purposes for a party. Specializes Account.
Show Source
Nested Schema : BillingAccount-allOf[1]
Type: object
Represents a party account used for billing purposes. It includes a bill structure that defines frequency presentation media format. It specializes PartyAccount.
Show Source
Nested Schema : accountBalance
Type: array
Show Source
Nested Schema : accountRelationship
Type: array
Show Source
Nested Schema : contact
Type: array
Show Source
Nested Schema : Money
Type: object
Represents a monetary amount.
Show Source
Nested Schema : relatedParty
Type: array
Show Source
Nested Schema : taxExemption
Type: array
Show Source
Nested Schema : AccountBalance
Match All
Represents balances linked to an account.
Show Source
Nested Schema : AccountBalance-allOf[1]
Type: object
Represents balances linked to an account.
Show Source
Nested Schema : TimePeriod
Type: object
Represents a time period with a start date, an end date, or both.
Show Source
Nested Schema : AccountRelationship
Match All
Represents a significant connection between accounts. For example, an aggregating account for a list of shop branches, each with its own billing account.
Show Source
  • Extensible
    Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
  • AccountRelationship-allOf[1]
    Represents a significant connection between accounts. For example, an aggregating account for a list of shop branches, each with its own billing account.
Nested Schema : AccountRelationship-allOf[1]
Type: object
Represents a significant connection between accounts. For example, an aggregating account for a list of shop branches, each with its own billing account.
Show Source
Nested Schema : AccountRef
Type: object
Refers to an account. An account may be a party account or a financial account.
Match All
Refers to an account. An account may be a party account or a financial account.
Show Source
Nested Schema : EntityRef
Match All
Represents an entity reference schema for EntityRef classes.
Show Source
Nested Schema : EntityRef-allOf[2]
Type: object
Represents an entity reference schema for EntityRef classes.
Show Source
Nested Schema : Contact
Match All
Represents an individual or organization that serves as an account contact through a contact medium.
Show Source
  • Extensible
    Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
  • Contact-allOf[1]
    Represents an individual or organization that serves as an account contact through a contact medium.
Nested Schema : Contact-allOf[1]
Type: object
Represents an individual or organization that serves as an account contact through a contact medium.
Show Source
Nested Schema : contactMedium
Type: array
Show Source
Nested Schema : ContactMedium
Match All
Indicates the contact medium that can contact the party.
Show Source
Nested Schema : ContactMedium-allOf[1]
Type: object
Indicates the contact medium that can contact the party.
Show Source
Nested Schema : RelatedPartyRefOrPartyRoleRef
Match All
Refers to a related party or party role linked to a specific entity.
Show Source
Nested Schema : RelatedPartyRefOrPartyRoleRef-allOf[1]
Type: object
Refers to a related party or party role linked to a specific entity.
Show Source
  • Discriminator: @type
    Discriminator: { "propertyName":"@type", "mapping":{ "PartyRef":"#/components/schemas/PartyRef", "PartyRoleRef":"#/components/schemas/PartyRoleRef" } }
  • The related party or party role role for the linked entity. Examples initiator customer salesAgent user.
Nested Schema : Discriminator: @type
Type: object
Discriminator: @type

Discriminator Values

Match One Schema
Show Source
Nested Schema : PartyRef
Type: object
Refers to a party.
Match All
Refers to a party.
Show Source
Nested Schema : PartyRoleRef
Match All
Refers to a party role. A party role represents the part that a party plays in a context.
Show Source
Nested Schema : PartyRoleRef-allOf[1]
Type: object
Refers to a party role. A party role represents the part that a party plays in a context.
Show Source
Nested Schema : TaxExemptionCertificate
Match All
Represents a tax exemption certificate granted by a tax jurisdiction. Defines the exempt portion of each tax.
Show Source
Nested Schema : TaxExemptionCertificate-allOf[1]
Type: object
Represents a tax exemption certificate granted by a tax jurisdiction. Defines the exempt portion of each tax.
Show Source
Nested Schema : Discriminator: @type
Type: object
Discriminator: @type

Discriminator Values

The Attachment entity, not the AttachmentRefOrValue class, uses the polymorphic @type, @schemaLocation, and @referredType attributes.
Match One Schema
Show Source
Nested Schema : taxDefinition
Type: array
Show Source
Nested Schema : Attachment
Match All
Represents an attachment that complements an element's description, such as a product description, through videos or pictures.
Show Source
Nested Schema : AttachmentRef
Match All
Represents an attachment reference. An attachment complements an element's description, such as a product description, through videos or pictures.
Show Source
Nested Schema : Attachment-allOf[1]
Type: object
Represents an attachment that complements an element's description, such as a product description, through videos or pictures.
Show Source
Nested Schema : Quantity
Type: object
Represents an amount in a specified unit.
Show Source
Nested Schema : AttachmentRef-allOf[1]
Type: object
Represents an attachment reference. An attachment complements an element's description, such as a product description, through videos or pictures.
Show Source
Nested Schema : TaxDefinition
Match All
Refers to a tax definition. A tax jurisdiction levies the tax.
Show Source
Nested Schema : TaxDefinition-allOf[1]
Type: object
Refers to a tax definition. A tax jurisdiction levies the tax.
Show Source
Nested Schema : billStructure
Type: object
Match All
Show Source
Nested Schema : BillStructure
Match All
Represents the bill structure for party accounts, including billing and settlement accounts.
Show Source
Nested Schema : BillStructure-allOf[1]
Type: object
Represents the bill structure for party accounts, including billing and settlement accounts.
Show Source
  • Discriminator: @type
    Discriminator: { "propertyName":"@type", "mapping":{ "BillingCycleSpecification":"#/components/schemas/BillingCycleSpecification", "BillingCycleSpecificationRef":"#/components/schemas/BillingCycleSpecificationRef" } }
    The BillingCycleSpecification entity, not the BillingCycleSpecificationRefOrValue class, uses the polymorphic @type, @schemaLocation, and @referredType attributes.
  • Discriminator: @type
    Discriminator: { "propertyName":"@type", "mapping":{ "BillFormat":"#/components/schemas/BillFormat", "BillFormatRef":"#/components/schemas/BillFormatRef" } }
    The BillFormat entity, not the BillFormatRefOrValue class, uses the polymorphic @type, @schemaLocation, and @referredType attributes.
  • presentationMedia
Nested Schema : Discriminator: @type
Type: object
Discriminator: @type

Discriminator Values

The BillingCycleSpecification entity, not the BillingCycleSpecificationRefOrValue class, uses the polymorphic @type, @schemaLocation, and @referredType attributes.
Match One Schema
Show Source
Nested Schema : Discriminator: @type
Type: object
Discriminator: @type

Discriminator Values

The BillFormat entity, not the BillFormatRefOrValue class, uses the polymorphic @type, @schemaLocation, and @referredType attributes.
Match One Schema
Show Source
Nested Schema : presentationMedia
Type: array
Show Source
  • Discriminator: @type
    Discriminator: { "propertyName":"@type", "mapping":{ "BillPresentationMedia":"#/components/schemas/BillPresentationMedia", "BillPresentationMediaRef":"#/components/schemas/BillPresentationMediaRef" } }
    The BillPresentationMedia entity, not the BillPresentationMediaRefOrValue class, uses the polymorphic @type, @schemaLocation, and @referredType attributes.
Nested Schema : BillingCycleSpecification
Match All
Describes when to initiate a billing cycle and its substeps.
Show Source
Nested Schema : BillingCycleSpecificationRef
Type: object
Refers to a billing cycle specification. Describes when to initiate a billing cycle and its substeps.
Match All
Refers to a billing cycle specification. Describes when to initiate a billing cycle and its substeps.
Show Source
Nested Schema : BillingCycleSpecification-allOf[1]
Type: object
Describes when to initiate a billing cycle and its substeps.
Show Source
Nested Schema : BillFormat
Match All
Represents a detailed description of how a bill is presented.
Show Source
Nested Schema : BillFormatRef
Type: object
Refers to a bill format. A bill format describes how a bill is presented.
Match All
Refers to a bill format. A bill format describes how a bill is presented.
Show Source
Nested Schema : BillFormat-allOf[1]
Type: object
Represents a detailed description of how a bill is presented.
Show Source
Nested Schema : Discriminator: @type
Type: object
Discriminator: @type

Discriminator Values

The BillPresentationMedia entity, not the BillPresentationMediaRefOrValue class, uses the polymorphic @type, @schemaLocation, and @referredType attributes.
Match One Schema
Show Source
Nested Schema : BillPresentationMedia
Match All
Represents a means of communicating a bill that the associated bill format supports. For example post mail email web page.
Show Source
Nested Schema : BillPresentationMediaRef
Type: object
Refers to bill presentation media. Bill presentation media represents a means of communicating a bill that the associated bill format supports. For example post mail email web page.
Match All
Refers to bill presentation media. Bill presentation media represents a means of communicating a bill that the associated bill format supports. For example post mail email web page.
Show Source
Nested Schema : BillPresentationMedia-allOf[1]
Type: object
Represents a means of communicating a bill that the associated bill format supports. For example post mail email web page.
Show Source
Nested Schema : BillingAccountOracle-allOf[1]
Type: object
Represents a party account used for billing purposes. It includes a bill structure that defines frequency presentation media format. It specializes PartyAccount.
Show Source
Nested Schema : accountBalance
Type: array
Show Source
Nested Schema : accountRelationship
Type: array
Show Source
Nested Schema : billStructure
Type: object
Match All
Show Source
Nested Schema : contact
Type: array
Show Source
Nested Schema : relatedParty
Type: array
Show Source
Nested Schema : ServiceBillStructureOracle
Type: array
Represents an array of bill structures.
Show Source
Nested Schema : taxExemption
Type: array
Show Source
Nested Schema : AccountBalanceOracle
Match All
Balances linked to the account
Show Source
Nested Schema : AccountBalanceOracle-allOf[1]
Type: object
Balances linked to the account
Show Source
Nested Schema : AccountRelationshipOracle
Match All
Represents a significant connection between accounts. For example, an aggregating account for a list of shop branches, each with its own billing account.
Show Source
Nested Schema : AccountRelationshipOracle-allOf[1]
Type: object
Represents a significant connection between accounts. For example, an aggregating account for a list of shop branches, each with its own billing account.
Show Source
Nested Schema : account
Type: object
Refers to an account. An account may be a party account or a financial account.
Show Source
Nested Schema : billStructure
Type: object
The child account's bill structure.
Show Source
Nested Schema : billStructure
Type: object
The account's bill structure.
Show Source
Nested Schema : BillStructureOracle
Match All
Represents an extended bill structure for Oracle implementation.
Show Source
Nested Schema : BillStructureOracle-allOf[1]
Type: object
Represents an extended bill structure for Oracle implementation.
Show Source
Nested Schema : balanceGroup
Type: array
Show Source
Nested Schema : cycleSpecification
Type: object
Match All
Show Source
  • Discriminator: @type
    Discriminator: { "propertyName":"@type", "mapping":{ "BillingCycleSpecification":"#/components/schemas/BillingCycleSpecification", "BillingCycleSpecificationRef":"#/components/schemas/BillingCycleSpecificationRef" } }
    The BillingCycleSpecification entity, not the BillingCycleSpecificationRefOrValue class, uses the polymorphic @type, @schemaLocation, and @referredType attributes.
Nested Schema : format
Type: object
Match All
Show Source
  • Discriminator: @type
    Discriminator: { "propertyName":"@type", "mapping":{ "BillFormat":"#/components/schemas/BillFormat", "BillFormatRef":"#/components/schemas/BillFormatRef" } }
    The BillFormat entity, not the BillFormatRefOrValue class, uses the polymorphic @type, @schemaLocation, and @referredType attributes.
Nested Schema : presentationMedia
Type: array
Show Source
  • Discriminator: @type
    Discriminator: { "propertyName":"@type", "mapping":{ "BillPresentationMedia":"#/components/schemas/BillPresentationMedia", "BillPresentationMediaRef":"#/components/schemas/BillPresentationMediaRef" } }
    The BillPresentationMedia entity, not the BillPresentationMediaRefOrValue class, uses the polymorphic @type, @schemaLocation, and @referredType attributes.
Nested Schema : items
Type: object
Show Source
Nested Schema : balances
Type: array
Show Source
Nested Schema : limit
Type: array
Show Source
Nested Schema : rules
Type: array
Show Source
Nested Schema : services
Type: array
Show Source
Nested Schema : tempLimit
Type: array
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : thresholds
Type: array
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : items
Type: object
Show Source
  • Allowed Values: [ "EST", "LST", "EET", "LET", "ESTLET", "ESTEET", "LSTEET", "LSTLET", "EETEST", "EETLST", "LETEST", "LETLST" ]
    The consumption rule.
  • The consumption rule.'s unit.
Nested Schema : items
Type: object
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : validFromDuration
Type: object
Show Source
Nested Schema : validToDuration
Type: object
Show Source
Nested Schema : Discriminator: @type
Type: object
Discriminator: @type

Discriminator Values

The BillingCycleSpecification entity, not the BillingCycleSpecificationRefOrValue class, uses the polymorphic @type, @schemaLocation, and @referredType attributes.
Match One Schema
Show Source
Nested Schema : ContactOracle
Match All
Represents account contacts accessed through contact media.
Show Source
Nested Schema : ContactOracle-allOf[0]
Type: object
Represents account contacts accessed through contact media.
Show Source
Nested Schema : contactMedium
Type: array
Show Source
Nested Schema : ContactMediumOracle
Match All
Indicates the contact medium that can contact the party.
Show Source
Nested Schema : ContactMediumOracle-allOf[0]
Type: object
Indicates the contact medium that can contact the party.
Show Source
Nested Schema : TaxExemptionCertificateOracle
Match All
Represents a tax exemption certificate granted by a tax jurisdiction. Defines the exempt portion of each tax.
Show Source
Nested Schema : TaxExemptionCertificateOracle-allOf[0]
Type: object
Represents a tax exemption certificate granted by a tax jurisdiction. Defines the exempt portion of each tax.
Show Source
Match All
Represents a tax exemption certificate granted by a tax jurisdiction. Defines the exempt portion of each tax.
Show Source
Examples

400 Response

The server received a bad request.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

401 Response

The request is unauthorized.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

403 Response

The request is forbidden.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

404 Response

The resource is not found.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

405 Response

The method is not allowed.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

500 Response

The server encountered an internal error.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

501 Response

The server does not implement this operation.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

503 Response

The service is unavailable.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source
Back to Top

Examples

Example 1: Account balances after a product purchase

This example shows how to retrieve account balances after purchasing a product by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.

curl -X GET 'http://hostname:port/brm/accountManagement/v5/billingAccount/account-with-temp-limit-test-100-002'

Response Body

If successful, the response code 200 is returned with the following response body.

{
  "vatCertificate": "",
  "name": "Home Account",
  "@type": "BillingAccountOracle",
  "billStructure": {
    "payType": "invoice",
    "name": "BI_NAME405",
    "businessProfileId": "0.0.0.0++0",
    "actgType": "balance_forward",
    "billingSegment": "0",
    "id": "billStruct-id-002",
    "@type": "BillStructureOracle",
    "format": {
      "name": "Summary Invoice-098",
      "id": "0.0.0.1+-config-bill_format+168425",
      "href": "https://host:port/brm/accountManagement/v5/billFormat/0.0.0.1+-config-bill_format+168425",
      "@type": "BillFormat"
    },
    "acctSuppressed": false,
    "cycleSpecification": {
      "name": "",
      "id": "0.0.0.1+-config-bill_cycle_specification+170473",
      "href": "https://host:port/brm/accountManagement/v5/billingCycleSpecification/0.0.0.1+-config-bill_cycle_specification+170473",
      "@type": "BillingCycleSpecificationOracle",
      "billingDateShift": 8,
      "paymentDueDateOffset": 3,
      "frequency": "yearly"
    },
    "balanceGroup": [
      {
        "id": "0.0.0.1+-balance_group+171033",
        "name": "",
        "rules": [
          {
            "unit": "USD",
            "consumptionRule": null
          }
        ],
        "balances": [
          {
            "grantedBal": {
              "value": 0.0,
              "unit": "USD"
            },
            "amount": {
              "unit": "USD",
              "value": 0.0
            },
            "totalAmount": {
              "unit": "USD",
              "value": 0.0
            },
            "outstandingAmount": {
              "unit": "USD",
              "value": 0.0
            }
          }
        ],
        "isDefault": true,
        "services": [
          {
            "id": "0.0.0.1+-service-ip+170027"
          }
        ],
        "limit": [
          {
            "unit": "USD",
            "dynamicCreditFloor": false,
            "creditFloor": null,
            "overrideCreditLimit": 0.0,
            "creditThreshold": 0.0,
            "fixedThreshold": ""
          }
        ]
      }
    ],
    "presentationMedia": [
      {
        "name": "Post Mail-098",
        "id": "0.0.0.1+-config-bill_presentation_media+169705",
        "href": "https://host:port/brm/accountManagement/v5/billPresentationMedia/0.0.0.1+-config-bill_presentation_media+169705",
        "@type": "BillPresentationMedia"
      },
      {
        "name": "Electronic-098",
        "id": "0.0.0.1+-config-bill_presentation_media+171753",
        "href": "https://host:port/brm/accountManagement/v5/billPresentationMedia/0.0.0.1+-config-bill_presentation_media+171753",
        "@type": "BillPresentationMedia"
      }
    ]
  },
  "accountBalance": [
    {
      "validFor": {
        "endDateTime": "",
        "startDateTime": "2018-01-03T08:00:00.00Z"
      },
      "amount": {
        "unit": "USD",
        "value": 11.55
      },
      "grantedBal": {
        "unit": "USD"
      },
      "nextBal": {
        "unit": "USD"
      },
      "delayedBal": {
        "unit": "USD"
      }
    }
  ],
  "glSegment": ".",
  "description": "This billing account represents the main household billing structure",
  "accountType": "consumer",
  "state": "active",
  "relatedParty": [
    {
      "partyOrPartyRole": {
        "name": "Related Party Name",
        "id": "9947",
        "partyName": "PartyName101",
        "@type": "PartyRefOrPartyRoleRef",
        "partyId": "PartyId101"
      },
      "@type": "RelatedPartyRefOrPartyRoleRef",
      "role": "service provider"
    },
    {
      "partyOrPartyRole": {
        "name": "Related Party Name2",
        "id": "9948",
        "partyName": "",
        "@type": "PartyRefOrPartyRoleRef",
        "partyId": ""
      },
      "@type": "RelatedPartyRefOrPartyRoleRef",
      "role": "service provider2"
    }
  ],
  "id": "account-with-temp-limit-test-100-002",
  "href": "https://host:port/brm/accountManagement/v5/billingAccount/account-with-temp-limit-test-100-002",
  "lastUpdate": "2018-01-01T08:00:00.00Z",
  "brmAccountType": "standard",
  "currencySecondary": "",
  "attribute": 0,
  "accountNum": "account-with-temp-limit-test-100-002",
  "customerSegmentList": "",
  "locale": "en_US",
  "currency": "USD"
}

Example 2: Parent account with subordinate and child accounts

This example shows how to retrieve a parent account with subordinate and child accounts by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.

curl -X GET 'http://hostname:port/brm/accountManagement/v5/billingAccount/billing-account-test-parent01'

Response Body

If successful, the response code 200 is returned with the following response body.

{
  "name": "Home Account",
  "@type": "BillingAccountOracle",
  "billStructure": {
    "payType": "invoice",
    "name": "BI_NAME405",
    "businessProfileId": "0.0.0.0++0",
    "actgType": "balance_forward",
    "billingSegment": "0",
    "id": "billing-account-test-bunit-parent01",
    "@type": "BillStructureOracle",
    "format": {
      "name": "Summary Invoice-test-id-01",
      "id": "test3",
      "href": "https://host:port/brm/accountManagement/v5/billFormat/test3",
      "@type": "BillFormat"
    },
    "acctSuppressed": false,
    "cycleSpecification": {
      "name": "",
      "id": "test4",
      "href": "https://host:port/brm/accountManagement/v5/billingCycleSpecification/test4",
      "@type": "BillingCycleSpecificationOracle",
      "billingDateShift": 3,
      "paymentDueDateOffset": 3,
      "frequency": "yearly"
    },
    "balanceGroup": [
      {
        "id": "0.0.0.1+-balance_group+189485",
        "name": "",
        "rules": [
          {
            "unit": "USD",
            "consumptionRule": null
          }
        ],
        "balances": [
          {
            "grantedBal": {
              "value": 0.0,
              "unit": "USD"
            },
            "amount": {
              "unit": "USD",
              "value": 0.0
            },
            "totalAmount": {
              "unit": "USD",
              "value": 0.0
            },
            "outstandingAmount": {
              "unit": "USD",
              "value": 0.0
            }
          }
        ],
        "isDefault": true,
        "limit": [
          {
            "unit": "USD",
            "dynamicCreditFloor": false,
            "creditFloor": null,
            "overrideCreditLimit": 0.0,
            "creditThreshold": 0.0,
            "fixedThreshold": "",
            "creditLimit": 10000.0
          }
        ]
      },
      {
        "id": "0.0.0.1+-balance_group+191533",
        "name": "",
        "rules": [
          {
            "unit": "CAD",
            "consumptionRule": null
          },
          {
            "unit": "USD",
            "consumptionRule": null
          },
          {
            "unit": "YES",
            "consumptionRule": null
          }
        ],
        "balances": [
          {
            "grantedBal": {
              "value": 0.0,
              "unit": "CAD"
            },
            "amount": {
              "unit": "CAD",
              "value": 0.0
            },
            "totalAmount": {
              "unit": "CAD",
              "value": 0.0
            },
            "outstandingAmount": {
              "unit": "CAD",
              "value": 0.0
            }
          },
          {
            "grantedBal": {
              "value": 0.0,
              "unit": "USD"
            },
            "amount": {
              "unit": "USD",
              "value": 0.0
            },
            "totalAmount": {
              "unit": "USD",
              "value": 0.0
            },
            "outstandingAmount": {
              "unit": "USD",
              "value": 0.0
            }
          },
          {
            "grantedBal": {
              "value": 0.0,
              "unit": "YES"
            },
            "amount": {
              "unit": "YES",
              "value": 0.0
            },
            "totalAmount": {
              "unit": "YES",
              "value": 0.0
            },
            "outstandingAmount": {
              "unit": "YES",
              "value": 0.0
            }
          }
        ],
        "limit": [
          {
            "unit": "CAD",
            "dynamicCreditFloor": false,
            "creditFloor": -500.0,
            "overrideCreditLimit": 0.0,
            "creditThreshold": 0.0,
            "fixedThreshold": "",
            "creditLimit": 1000.0
          },
          {
            "unit": "USD",
            "dynamicCreditFloor": false,
            "creditFloor": null,
            "overrideCreditLimit": 0.0,
            "creditThreshold": 0.0,
            "fixedThreshold": "",
            "creditLimit": 1000.0
          },
          {
            "unit": "YES",
            "dynamicCreditFloor": false,
            "creditFloor": null,
            "overrideCreditLimit": 0.0,
            "creditThreshold": 0.0,
            "fixedThreshold": "",
            "creditLimit": 10000.0
          }
        ]
      }
    ],
    "presentationMedia": [
      {
        "name": "Post Mail",
        "id": "0.0.0.1+-config-bill_presentation_media+9229",
        "href": "https://host:port/brm/accountManagement/v5/billPresentationMedia/0.0.0.1+-config-bill_presentation_media+9229",
        "@type": "BillPresentationMedia"
      },
      {
        "name": "Electronic",
        "id": "0.0.0.1+-config-bill_presentation_media+9102",
        "href": "https://host:port/brm/accountManagement/v5/billPresentationMedia/0.0.0.1+-config-bill_presentation_media+9102",
        "@type": "BillPresentationMedia"
      }
    ]
  },
  "accountRelationship": [
    {
      "@type": "AccountRelationshipOracle",
      "billStructure": {
        "name": "BI_NAME405",
        "id": "billing-account-test-bunit-parent01"
      },
      "relationshipType": "Subordinate",
      "account": {
        "id": "billing-account-test-child02",
        "billStructure": {
          "name": "BI_NAME405",
          "id": "billing-account-test-bunit-child02"
        }
      }
    },
    {
      "@type": "AccountRelationshipOracle",
      "billStructure": {
        "name": "BI_NAME405",
        "id": "billing-account-test-bunit-parent01"
      },
      "relationshipType": "Child",
      "account": {
        "id": "billing-account-test-child02",
        "billStructure": {
          "name": "BI_NAME405",
          "id": "billing-account-test-bunit-child02"
        }
      }
    }
  ],
  "glSegment": ".",
  "description": "This billing account represents the main household billing structure",
  "accountType": "consumer",
  "state": "active",
  "relatedParty": [
    {
      "partyOrPartyRole": {
        "name": "Related Party Name",
        "id": "9947",
        "partyName": "PartyName101",
        "@type": "PartyRefOrPartyRoleRef",
        "partyId": "PartyId101"
      },
      "@type": "RelatedPartyRefOrPartyRoleRef",
      "role": "service provider"
    },
    {
      "partyOrPartyRole": {
        "name": "Related Party Name2",
        "id": "9948",
        "partyName": "",
        "@type": "PartyRefOrPartyRoleRef",
        "partyId": ""
      },
      "@type": "RelatedPartyRefOrPartyRoleRef",
      "role": "service provider2"
    }
  ],
  "id": "billing-account-test-parent01",
  "href": "https://host:port/brm/accountManagement/v5/billingAccount/billing-account-test-parent01",
  "lastUpdate": "2018-01-01T08:00:00.00Z",
  "brmAccountType": "standard",
  "currencySecondary": "",
  "attribute": 0,
  "accountNum": "billing-account-test-parent01",
  "contact": [
    {
      "contactMedium": [
        {
          "stateOrProvince": "IN",
          "@type": "GeographicAddressContactMediumOracle",
          "mediumType": "PostalAddress",
          "country": "France",
          "city": "France",
          "street1": "Rue des Canards",
          "street2": "test2 blr",
          "postCode": "75014",
          "company": "IN",
          "geoCode": "IN"
        },
        {
          "@type": "EmailContactMedium",
          "emailAddress": "test@oracle.com",
          "mediumType": "Email"
        },
        {
          "phoneType": null,
          "@type": "PhoneContactMediumOracle",
          "phoneNumber": "28412",
          "mediumType": "Phone"
        },
        {
          "phoneType": "fax",
          "@type": "FaxContactMedium",
          "faxNumber": "141231112",
          "mediumType": "Fax"
        }
      ],
      "@type": "ContactOracle",
      "contactType": "primary",
      "contactName": "John",
      "salutation": ""
    },
    {
      "contactMedium": [
        {
          "stateOrProvince": "IN",
          "@type": "GeographicAddressContactMediumOracle",
          "mediumType": "PostalAddress",
          "country": "France",
          "city": "Paris",
          "street1": "Rue des Canards",
          "street2": "test ind",
          "postCode": "75014",
          "company": "IN"
        },
        {
          "@type": "EmailContactMedium",
          "emailAddress": "test@oracle.com",
          "mediumType": "Email"
        },
        {
          "phoneType": "home",
          "@type": "PhoneContactMediumOracle",
          "phoneNumber": "890128412",
          "mediumType": "Phone"
        }
      ],
      "@type": "ContactOracle",
      "contactType": "secondary",
      "contactName": "Rachel Douglas",
      "salutation": ""
    }
  ],
  "customerSegmentList": "",
  "locale": "en_US",
  "currency": "USD"
}
Back to Top